Summary   	: User space NFS server.
Name	  	: hhl-target-nfs-user-server
Version	  	: 2.2beta47 
Release	  	: %{_hhl_build_id}.2
Source	  	: nfs-user-server_2.2beta47.orig.tar.gz 
Source1: nfs-user-server.tmpl
Source2: ugidd.tmpl
Patch	  	: nfs-user-server_2.2beta47-9.diff.gz 
Patch1		: nfs-user-server-initd.diff
Patch2		: nfs-user-server-time_h.patch
Patch3		: nfs-user-server-gcc3.patch
License 	: GPL
Group	  	: net
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
%description

This package contains all necessary programs to make your Linux machine act
as an NFS server, being an NFS daemon (rpc.nfsd), a mount daemon 
rpc.mountd).

Unlike other NFS daemons, this NFS server runs entirely in user space.  This
makes it a tad slower than other NFS implementations, and also introduces
some awkwardnesses in the semantics (for instance, moving a file to a
different directory will render its file handle invalid).


#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-nfs-user-server
Summary		: User space NFS server.
Group		: net
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-nfs-user-server

This package contains all necessary programs to make your Linux machine act
as an NFS server, being an NFS daemon (rpc.nfsd), a mount daemon 
rpc.mountd).

Unlike other NFS daemons, this NFS server runs entirely in user space.  This
makes it a tad slower than other NFS implementations, and also introduces
some awkwardnesses in the semantics (for instance, moving a file to a
different directory will render its file handle invalid).

%package -n hhl-%{_hhl_target_arch}-ugidd
Summary		: NFS UID mapping daemon.
Group		: net
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-ugidd
This package contains the UID mapping daemon (rpc.ugidd) which is used on   
NFS clients to do UID/GID mapping.

%prep

%target_check

%setup -n nfs-server-2.2beta47
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup
%target_acplatvars
#export ac_cv_sizeof_char=1
#export ac_cv_sizeof_int=4
#export ac_cv_sizeof_long=4
#export ac_cv_sizeof_long_long=8
#export ac_cv_sizeof_short=2
#export ac_cv_sizeof_void_p=4
export ac_cv_sizeof_unsigned_int=$ac_cv_sizeof_int
export ac_cv_sizeof_unsigned_long=$ac_cv_sizeof_long
export ac_cv_sizeof_unsigned_short=2
export ac_cv_sizeof_dev_t=8
export ac_cv_sizeof_gid_t=4
export ac_cv_sizeof_ino_t=4
export ac_cv_sizeof_uid_t=4
export nfsd_cv_broken_setfsuid=yes
export nfsd_cv_func_statfs=statfs2_bsize
export nfsd_cv_bsd_signals=yes

CFLAGS="-g -O2" ./BUILD < debian/build.cfg

make LDFLAGS= LIBWRAP_DIR=

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

rm -f objdir
ln -s . objdir
%target_makeinstall \
	man5dir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5 \
	man8dir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8 \
	bindir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}

rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/showmount
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/showmount.8

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
install -m 744 debian/init %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/nfs-user-server
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin/
install -m 744 rpc.ugidd %{buildroot}%{_hhl_cross_target_dir}/sbin/
install -m 644 ugidd.man %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.ugidd.8
install -m 744 debian/ugidd.init %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/ugidd



rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/{rpc.mountd.8,rpc.nfsd.8}
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mountd.8 \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.mountd.8
mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/nfsd.8 \
	%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.nfsd.8

gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
cp debian/copyright LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nfs-user-server
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/ugidd

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-nfs-user-server
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/nfs-user-server
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rpc.mountd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rpc.nfsd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/exports.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.mountd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.nfsd.8.gz
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nfs-user-server

%files -n hhl-%{_hhl_target_arch}-ugidd
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/ugidd
%{_hhl_cross_target_dir}/sbin/rpc.ugidd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.ugidd.8.gz
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/ugidd

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Sun Mar 11 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


